Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4525)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4526)
@@ -9,8 +9,9 @@
 $lang['Howto'] = 'This plugin permits to change the picture page presentation.<br>Special thanks to all the forum for their precious help   ';
 $lang['Step1_Title'] = 'Plugin settings';
+$lang['Step2_Title'] = 'Tooltip settings';
+$lang['Step3_Title'] = 'Frame settings';
 $lang['llgbo_tooltip']='Display tooltip (thumbnail under button) on mouseover :';
 $lang['llgbo_exifunderbt']='Display tooltip (EXIF under button metadata) on mouseover :';
-$lang['llgbo_always_displayexif'] = 'Always display METADATA:' ;
-$lang['llgbo_frame']='Display a white  frame around the picture :';
+$lang['llgbo_frame']='Manage frame around the picture :';
 $lang['llgbo_header']='Header is only display on the fisrt page :';
 $lang['llgbo_maintain_header']='Maintain header on the following pages :';
@@ -21,3 +22,40 @@
 $lang['llgbo_title_frame'] = 'Display picture title on frame';
 $lang['llgbo_default_navthumb'] = 'Hide standard display of Prev_Next thumbnails:';
+$lang['save'] = 'Save';
+$lang['preview'] = 'Preview';
+$lang['llgo_tooltip_width']= 'Define tooltip width';  
+$lang['llgo_tooltip_size']= 'Define tooltip border width';  
+$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
+$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
+$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
+$lang['llgbo_tooltip_color']= 'Define tooltip text color';
+$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
+$lang['llgo_tooltip_setting']= 'Tooltip settings';
+$lang['llgo_frame_setting']= 'Frame settings :' ;
+$lang['llgbo_title_frame_color']= 'Title frame color';
+$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
+$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
+$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
+$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
+$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
+$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
+$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
+$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
+$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
+$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
+$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
+$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
+$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
+$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
+$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
+$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
+$lang['llgbo_frame_bdsize']= 'size in px : ';
+$lang['llgbo_M_frame'] = 'Frame management';
+$lang['llgbo_M_tooltip'] = 'Tooltip management';
+$lang['llgbo_M_manage'] = 'Global settings';
+$lang['llgbo_samples'] = 'Samples : ';
+$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
+$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
+$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
+
 ?>
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4525)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4526)
@@ -6,5 +6,4 @@
 // | Copyright (C) 2009 Piwigo Team - http://piwigo.org |
 // +-----------------------------------------------------------------------+
-
 $lang['submit'] = 'Validar';
 $lang['Title'] = 'Look like GBo';
@@ -23,3 +22,40 @@
 $lang['llgbo_title_frame'] = 'Fijar el título de la imagen sobre el marco';
 $lang['llgbo_default_navthumb'] = 'Suprime la fijación estándar de las miniaturas de navegación :';
+// must be translate
+$lang['save'] = 'Save';
+$lang['preview'] = 'Preview';
+$lang['llgo_tooltip_width']= 'Define tooltip width';  
+$lang['llgo_tooltip_size']= 'Define tooltip border width';  
+$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
+$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
+$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
+$lang['llgbo_tooltip_color']= 'Define tooltip text color';
+$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
+$lang['llgo_tooltip_setting']= 'Tooltip settings';
+$lang['llgo_frame_setting']= 'Frame settings :' ;
+$lang['llgbo_title_frame_color']= 'Title frame color';
+$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
+$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
+$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
+$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
+$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
+$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
+$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
+$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
+$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
+$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
+$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
+$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
+$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
+$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
+$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
+$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
+$lang['llgbo_frame_bdsize']= 'size in px : ';
+$lang['llgbo_M_frame'] = 'Frame management';
+$lang['llgbo_M_tooltip'] = 'Tooltip management';
+$lang['llgbo_M_manage'] = 'Global settings';
+$lang['llgbo_samples'] = 'Samples : ';
+$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
+$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
+$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
 ?>
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4525)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4526)
@@ -5,15 +5,17 @@
 // | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-
 $lang['submit'] = 'Valider';
+$lang['save'] = 'Enregistrer';
+$lang['preview'] = 'Visualiser';
 $lang['Title'] = 'Look like GBo';
 $lang['Howto'] = 'Ce plugin permet de modifier la présentation de la page image. Merci au forum pour son aide';
 $lang['Step1_Title'] = 'Paramétrage du Plugin ';
+$lang['Step2_Title'] = 'Paramétrage de l\'infobulle';
+$lang['Step3_Title'] = 'Paramétrage du cadre ';
 $lang['llgbo_tooltip']='Infobulles spécifiques (miniatures des photos) au survol des boutons :';
-$lang['llgbo_exifunderbt']='Affiche les EXIFS au survol du bouton :';
-$lang['llgbo_always_displayexif'] = 'Toujours afficher les METADATA:' ;
-$lang['llgbo_frame']='Affiche un cadre blanc autour de l\'image :';
-$lang['llgbo_header']='L\'entéte n\'est affichée que sur la page d\'accueil  :';
-$lang['llgbo_maintain_header']='Conserver l\'entéte sur les pages suivantes :';
+$lang['llgbo_exifunderbt']='Infobulles spécifiques pour les EXIFS au survol du bouton :';
+$lang['llgbo_frame']='Gérer un cadre autour de l\'image :';
+$lang['llgbo_header']='L\'entête n\'est affichée que sur la page d\'accueil  :';
+$lang['llgbo_maintain_header']='Conserver l\'entête sur les pages suivantes :';
 $lang['llgbo_allinfo']='Affiche toutes les informations de l\'image  :';
 $lang['llgbo_usemap']='Ajoute la navigation sur l\'image :';
@@ -22,3 +24,41 @@
 $lang['llgbo_title_frame'] = 'Afficher le titre de l\'image sur le cadre';
 $lang['llgbo_default_navthumb'] = 'Supprime l\'affichage standard des miniatures de navigation :';
+$lang['llgo_tooltip_width']= 'largeur de l\'infobulle :' ; 
+$lang['llgo_tooltip_size']= 'largeur de la bordure de l\'infobulle :'  ;
+$lang['llgbo_tooltip_bordercolor']= 'Couleur de la bordure de l\'infobulle :' ;
+$lang['llgbo_tooltip_backgroundcolor']= 'Couleur du fond de l\'infobulle :' ;
+$lang['llgbo_tooltip_titlecolor']= 'Couleur du titre de l\'infobulle :' ;
+$lang['llgbo_tooltip_color']= 'Couleur du texte de l\'infobulle :' ;
+$lang['llgo_global_setting']= 'Parmètres généraux de la page picture de piwigo:';
+$lang['llgo_tooltip_setting']= 'Paramètres de l\'infobulle :' ;
+$lang['llgo_frame_setting']= 'Paramètres du cadre :' ;
+$lang['llgbo_title_frame_color']= 'Couleur du titre affiché sur le cadre';
+$lang['llgbo_frame_bdcolor0']= 'Ligne 1 couleur : ';
+$lang['llgbo_frame_bdcolor1']= 'Ligne 2 couleur : ';
+$lang['llgbo_frame_bdcolor2']= 'Ligne 3 couleur : ';
+$lang['llgbo_frame_bdcolor3']= 'Ligne 4 couleur : ';
+$lang['llgbo_frame_bdcolor4']= 'Ligne 5 couleur : ';
+$lang['llgbo_frame_bdcolor5']= 'Ligne 6 couleur : ';
+$lang['llgbo_frame_bdcolor6']= 'Ligne 7 couleur : ';
+$lang['llgbo_frame_bdcolor7']= 'Ligne 8 couleur : ';
+$lang['llgbo_frame_bdcolor8']= 'Ligne 9 couleur : ';
+$lang['llgbo_frame_bdcolor9']= 'Ligne 10 couleur : ';
+$lang['llgbo_frame_bdcolor10']= 'Ligne 11 couleur : ';
+$lang['llgbo_frame_bdcolor11']= 'Ligne 12 couleur : ';
+$lang['llgbo_frame_bdcolor12']= 'Ligne 13 couleur : ';
+$lang['llgbo_frame_bdcolor13']= 'Ligne 14 couleur : ';
+$lang['llgbo_frame_bdcolor14']= 'Ligne 15 couleur : ';
+$lang['llgbo_frame_bdcolor15']= 'Ligne 16 couleur : ';
+$lang['llgbo_frame_bdsize']= 'épaisseur : ';
+$lang['llgbo_M_frame'] = 'Gestion du cadre';
+$lang['llgbo_M_tooltip'] = 'Gestion de l\'infofulle';
+$lang['llgbo_M_manage'] = 'Paramétres généraux';
+$lang['llgbo_samples'] = 'Exemples :';
+$lang['llgbo_maintain_header_help']='1 - Pour trouver l\'ID de la page, afficher le code source de la page Ctrl+U sous Firefox ';
+$lang['llgbo_maintain_header_help1']='2 - Rechercher dans le texte la valeur "body id=".   Exemple --> body id="theAboutPage"    ';
+$lang['llgbo_maintain_header_help2']='3 - Renseigner la valeur theAboutPage dans la zone de texte. Séparer les différentes valeurs par des ;';
+
+
+
+
 ?>
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4525)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4526)
@@ -23,3 +23,42 @@
 $lang['llgbo_title_frame'] = 'Megjelenjen-e a kép címe a képkereten, ha az be van kapcsolva:';
 $lang['llgbo_default_navthumb'] = 'Kikapcsolja a hagyományos nézetet?(Előző/Következő kép bélyegképének megjelenítése):';
+
+// must be translate 19/12/2009
+$lang['save'] = 'Save';
+$lang['preview'] = 'Preview';
+$lang['llgo_tooltip_width']= 'Define tooltip width';  
+$lang['llgo_tooltip_size']= 'Define tooltip border width';  
+$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
+$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
+$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
+$lang['llgbo_tooltip_color']= 'Define tooltip text color';
+$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
+$lang['llgo_tooltip_setting']= 'Tooltip settings';
+$lang['llgo_frame_setting']= 'Frame settings :' ;
+$lang['llgbo_title_frame_color']= 'Title frame color';
+$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
+$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
+$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
+$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
+$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
+$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
+$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
+$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
+$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
+$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
+$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
+$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
+$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
+$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
+$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
+$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
+$lang['llgbo_frame_bdsize']= 'size in px : ';
+$lang['llgbo_M_frame'] = 'Frame management';
+$lang['llgbo_M_tooltip'] = 'Tooltip management';
+$lang['llgbo_M_manage'] = 'Global settings';
+$lang['llgbo_samples'] = 'Samples : ';
+$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
+$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
+$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
+
 ?>
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4525)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4526)
@@ -21,3 +21,42 @@
 $lang['llgbo_title_frame'] = 'Wyświetl tytuł zdjęcia w ramce';
 $lang['llgbo_default_navthumb'] = 'Ukryj standardowe wyświetlanie poprzedniej/następnej miniatury:';
+
+// must be translate 19/12/2009
+$lang['save'] = 'Save';
+$lang['preview'] = 'Preview';
+$lang['llgo_tooltip_width']= 'Define tooltip width';  
+$lang['llgo_tooltip_size']= 'Define tooltip border width';  
+$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
+$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
+$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
+$lang['llgbo_tooltip_color']= 'Define tooltip text color';
+$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
+$lang['llgo_tooltip_setting']= 'Tooltip settings';
+$lang['llgo_frame_setting']= 'Frame settings :' ;
+$lang['llgbo_title_frame_color']= 'Title frame color';
+$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
+$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
+$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
+$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
+$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
+$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
+$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
+$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
+$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
+$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
+$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
+$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
+$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
+$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
+$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
+$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
+$lang['llgbo_frame_bdsize']= 'size in px : ';
+$lang['llgbo_M_frame'] = 'Frame management';
+$lang['llgbo_M_tooltip'] = 'Tooltip management';
+$lang['llgbo_M_manage'] = 'Global settings';
+$lang['llgbo_samples'] = 'Samples : ';
+$lang['llgbo_maintain_header_help']='1 - To find the body ID value, display the source code  Ctrl+U with Firefox ';
+$lang['llgbo_maintain_header_help1']='2 - Search the value "body id=".   Sample --> body id="theAboutPage"    ';
+$lang['llgbo_maintain_header_help2']='3 - Copy the value theAboutPage in the text area. Separate the different ID by ;';
+
 ?>