Index: /extensions/LLGBO2/template/picture_content.tpl
===================================================================
--- /extensions/LLGBO2/template/picture_content.tpl	(revision 4526)
+++ /extensions/LLGBO2/template/picture_content.tpl	(revision 4527)
@@ -1,4 +1,4 @@
 <!-- LLGBO2 picture_content -->
-{if !isset($FRAME)}
+{if !isset($FRAME_BEGIN)}
 	{if isset($high) } 
 		{if !isset($USEMAP) }
@@ -10,58 +10,48 @@
 		{if isset($COMMENT_IMG)}
 			title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}"
-{/if}>
-
-{else}
-	<UL id="gbo" style="width:{$WIDTH_GBO}px;margin: 0 auto;padding:0;list-style-type : none;">
-	<li>
-		<img src="{$PLUG_REL_PATH}/pictures/chg_25.png">
-		<div  style="background-image: url({$PLUG_REL_PATH}/pictures/haut_25.png);width:{$WIDTH_IMG}px;height:{$HEIGHT_FRAME}px;float:left">
-		 <div id="gboh2">{$TITLE_FRAME} </div></div>
-		<img src="{$PLUG_REL_PATH}/pictures/chd_25.png">
-	</li>
-	<li>
-		<img src="{$PLUG_REL_PATH}/pictures/gauche_25.png" style="width:{$WIDTH_FRAME}px;height:{$HEIGHT_IMG}px;" >
-		{if isset($high) }
-			{if !isset($USEMAP) }
-				<!--  HihgDef and navigation on picture off   -->
-				<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
-			{/if} 
+	{/if}>
+{/if} 
+{if  isset($FRAME_BEGIN)}
+	{if isset($TITLE_FRAME)}
+	 <span  id="gboh2" style ="background:transparent;z-index:3;color:{$TITLE_FRAME_COLOR}">{$TITLE_FRAME}</span>
+	{/if}
+	<div  id="gbo" {$FRAME_SIZE}>
+	{$FRAME_BEGIN}
+			{if isset($high) }
+				{if !isset($USEMAP) }
+					<!--  HihgDef and navigation on picture off   -->
+					<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
+				{/if} 
+			{/if}
+		   <img    src="{$SRC_IMG}" align="center" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" 
+			{if isset($COMMENT_IMG)}
+				title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}"
+			{/if}>
+	{$FRAME_END}
+</div>
+{/if}
+	{if isset($high) } 
+		{if !isset($USEMAP) }
+				<p>{'picture_high'|@translate}</p>
 		{/if}
-	   <img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" 
-		{if isset($COMMENT_IMG)}
-			title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}"
-		{/if}>
-		<img src="{$PLUG_REL_PATH}/pictures/droit_25.png" style="width:{$WIDTH_FRAME}px;height:{$HEIGHT_IMG}px;" >
-	</li>
-	<li>
-		<img src="{$PLUG_REL_PATH}/pictures/cbg_25.png">
-		<img src="{$PLUG_REL_PATH}/pictures/bas_25.png" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_FRAME}px;" >
-		<img src="{$PLUG_REL_PATH}/pictures/cbd_25.png">
-	</li>
-	<li></li>
-	</UL>
-{/if}
-{if isset($high) } 
-	{if !isset($USEMAP) }
-			<p>{'picture_high'|@translate}</p>
-	{/if}
- {/if}
+		
+	 {/if}
 
 {if isset($USEMAP) }
-	<!--  navigation on picture  -->
-	<map id="prevnext" name="prevnext">  
-	{if isset($previous)}
-	<area shape="rect" coords="{$LEFT_X1},{$LEFT_Y1},{$LEFT_X2},{$LEFT_Y2}" href="{$previous.U_IMG}" title="{'previous_page'|@translate} : {$PREVTHUMBTITLE}" {if isset($PREVTHUMB)}{$PREVTHUMB} {/if} alt="" rel="prev"> 
-	{/if}   
-	<area shape="rect" coords="{$UP_X1},{$UP_Y1},{$UP_X2},{$UP_Y2}" href="{$U_UP}" title="{'thumbnails'|@translate}" alt="" rel="up" >
-	{if isset($next) }
-	<area shape="rect" coords="{$RIGHT_X1},{$RIGHT_Y1},{$RIGHT_X2},{$RIGHT_Y2}" href="{$next.U_IMG}" title="{'next_page'|@translate} : {$NEXTTHUMBTITLE}" {if isset($NEXTTHUMB)}{$NEXTTHUMB} {/if} alt="" rel="next">
-	{/if}
-	{if isset($high) }
-		<area shape="rect" coords="{$HIGH_X1},{$HIGH_Y1},{$HIGH_X2},{$HIGH_Y2}" 
-		 href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')" 
-		TITLE = "{'picture_high'|@translate}" >
+		<!--  navigation on picture  -->
+		<map id="prevnext" name="prevnext">  
+		{if isset($previous)}
+		<area shape="rect" coords="{$LEFT_X1},{$LEFT_Y1},{$LEFT_X2},{$LEFT_Y2}" href="{$previous.U_IMG}" title="{'previous_page'|@translate} : {$PREVTHUMBTITLE}" {if isset($PREVTHUMB)}{$PREVTHUMB} {/if} alt="" rel="prev"> 
+		{/if}   
+		<area shape="rect" coords="{$UP_X1},{$UP_Y1},{$UP_X2},{$UP_Y2}" href="{$U_UP}" title="{'thumbnails'|@translate}" alt="" rel="up" >
+		{if isset($next) }
+		<area shape="rect" coords="{$RIGHT_X1},{$RIGHT_Y1},{$RIGHT_X2},{$RIGHT_Y2}" href="{$next.U_IMG}" title="{'next_page'|@translate} : {$NEXTTHUMBTITLE}" {if isset($NEXTTHUMB)}{$NEXTTHUMB} {/if} alt="" rel="next">
 		{/if}
-	</map>
+		{if isset($high) }
+			<area shape="rect" coords="{$HIGH_X1},{$HIGH_Y1},{$HIGH_X2},{$HIGH_Y2}" 
+			 href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')" 
+			TITLE = "{'picture_high'|@translate}" >
+			{/if}
+		</map>
 {/if}
- 
+	