Index: extensions/Juza/include/functions.inc.php
===================================================================
--- extensions/Juza/include/functions.inc.php	(revision 4530)
+++ extensions/Juza/include/functions.inc.php	(revision 4537)
@@ -43,6 +43,15 @@
 	return $src;
 }
+
+function remove_AkBookStyle_handlers() {
+  global $public_content;
+  remove_event_handler('loc_begin_index_thumbnails', array($public_content, 'loc_begin_index_thumbnails'));
+  remove_event_handler('loc_end_index_thumbnails', array($public_content, 'loc_end_index_thumbnails'));
+  remove_event_handler('loc_begin_index', array($public_content, 'page_force'));
+  remove_event_handler('loc_end_picture', array($public_content, 'loc_end_picture'));
+}
+
 function Juza_update() {
-  global $template, $conf;
+  global $template, $conf, $user;
   $conf_Juza = Juza_default();
   if (isset($conf['Juza Config'])) $conf_Juza = array_merge($conf_Juza, unserialize($conf['Juza Config']));
@@ -86,4 +95,7 @@
   if ($conf['Juza_active']) $template->assign('Juza_active', true);
   if ($conf_Juza['Juza_handlers']) $template->assign('Juza_handlers', 'checked="checked"');
+  $user["expand"] = true;
+  $template->assign('Juza_cats', get_categories_menu());
+  $user["expand"] = false;
   $template->assign('Juza_width', $conf_Juza['Juza_width']);
   $template->assign('Juza_height', $conf_Juza['Juza_height']);
Index: extensions/Juza/js/juzascript.js
===================================================================
--- extensions/Juza/js/juzascript.js	(revision 4530)
+++ extensions/Juza/js/juzascript.js	(revision 4537)
@@ -36,5 +36,5 @@
   $('.thumbnailCategory .description h3 a').each(function() {
     $cat_url = $(this).attr('href');
-    $cat_tree = $('#menubar #mbCategories dd ul li a[href="'+$cat_url+'"]').next('.menuInfoCatByChild').next().html();
+    $cat_tree = $('#menu-cat ul li a[href="'+$cat_url+'"]').next('.menuInfoCatByChild').next().html();
     if ($cat_tree == null) $cat_tree = '';
     $(this).parent('h3').eq(0).next('.text').after('<ul>'+$cat_tree+'</ul>');
Index: extensions/Juza/script.tpl
===================================================================
--- extensions/Juza/script.tpl	(revision 4530)
+++ extensions/Juza/script.tpl	(revision 4537)
@@ -87,6 +87,11 @@
 <div id="ix-cat" style="display:none">
 {foreach from=$category_thumbnails item=cat}
-  <img src="{$cat.TN_SRC}" title="{$cat.TN_SRC|@Juza_file}" alt="{$cat.DESCRIPTION|@htmlspecialchars}" class="Cat"/>
+  <img src="{$cat.TN_SRC}" title="{$cat.TN_SRC|@Juza_file}" alt="{$cat.DESCRIPTION|@strip_tags|@htmlspecialchars}" class="Cat"/>
 {/foreach}
+</div>
+{/if}
+{if isset($Juza_cats)}
+<div id="menu-cat" style="display:none">
+{$Juza_cats}
 </div>
 {/if}
Index: extensions/Juza/theme.css
===================================================================
--- extensions/Juza/theme.css	(revision 4530)
+++ extensions/Juza/theme.css	(revision 4537)
@@ -49,5 +49,6 @@
 .middle_block h2, h2 { color: #6daa37; font-size:16px; text-align: center; } 
 .middle_block * { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:11pt; text-align:left; }
-
+.content div.thumbnailCategory div.description p { display:none; }
+.content div.thumbnailCategory div.description p.Nb_images { display:block; }
 #imageHeaderBar .browsePath { color: #6DAA37; }
 #imageHeaderBar  h2, .menuInfoCat,
@@ -62,2 +63,3 @@
 #theHeader h1 { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:60px; font-style:normal; font-weight:normal; line-height:0.89em; color: #fff;}
 #theHeader p { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:20px; letter-spacing:5px; line-height:2.1em; colour: #fff; }
+#the_page #imageToolBar { top:-90px; }
Index: extensions/Juza/themeconf.inc.php
===================================================================
--- extensions/Juza/themeconf.inc.php	(revision 4530)
+++ extensions/Juza/themeconf.inc.php	(revision 4537)
@@ -20,5 +20,5 @@
 );
 global $user, $conf, $lang;
-$user["expand"] = true; /* Forced to assign subcategory links inside each category on index page */
+$user["expand"] = false; 
 $user['nb_image_line']= 7;
 $user['nb_line_page']= 1;
@@ -26,7 +26,8 @@
 load_language('lang', JUZA_PATH);
 /* No handlers at all or Open ? */
-if ($conf['enable_plugins']) { 
+if ($conf['enable_plugins'] and is_file(JUZA_PATH.'include/functions.inc.php')) { 
   include_once(JUZA_PATH.'include/functions.inc.php');
   add_event_handler('loc_after_page_header', 'Juza_hook', 20);
+  /* add_event_handler('init', 'remove_AkBookStyle_handlers', 50); */
 }
 ?>