Index: /extensions/Random_Header/admin/rh_admin.tpl
===================================================================
--- /extensions/Random_Header/admin/rh_admin.tpl	(revision 4537)
+++ /extensions/Random_Header/admin/rh_admin.tpl	(revision 4538)
@@ -45,5 +45,5 @@
 			<i>#theHeader :</i><br />
 			<input class="rh_input" type="text" name="{$i.CURRENT_THEME}head_css" value="{$i.HEAD_CSS}"><br />
-			<i>#RandomImage :</i><br /><input class="rh_input"  type="text" name="{$i.CURRENT_THEME}img_css" value="{$i.IMG_CSS}"><br />
+			<i>#RandomImage : {'rh_inactif_on_bg'|@translate}</i><br /><input class="rh_input"  type="text" name="{$i.CURRENT_THEME}img_css" value="{$i.IMG_CSS}"><br />
 			</p>
 			
Index: /extensions/Random_Header/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 4537)
+++ /extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 4538)
@@ -34,4 +34,4 @@
 $lang['rh_aide'] 				= 'Info :<br />IMAGES ARE VIEWABLE BY EVERYONE (private category or not)<br />CSS style for the image(#RandomImage) isn\'t applied in background mode<br>CSS text field need to respect CSS rules (ex: "overflow:auto;color:red;")<br />In background mode, concatenate the <a href="admin.php?page=configuration">page banner</a> is disable';
 $lang['rh_additional_css'] 		= 'Additional CSS Style';
-
+$lang['rh_inactif_on_bg']		= 'disable on background mode';
 ?>
Index: /extensions/Random_Header/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/es_ES/plugin.lang.php	(revision 4537)
+++ /extensions/Random_Header/language/es_ES/plugin.lang.php	(revision 4538)
@@ -34,4 +34,4 @@
 $lang['rh_aide'] 				= 'Nota:<br />LAS IMÁGENES SON VISIBLES PARA ELLOS TODOS (Categoría privada o no)<br />El estilo CSS para la imagen (#RandomImage) No es aplicado en moda llena de imágenes de fondo<br>El campo CSS debe respetar la norma CSS (ex: "overflow:auto;color:red;")<br />En moda llena de imágenes de fondo, concatenar <a href="admin.php?page=configuration">bandera de las páginas</a> es inactivo';
 $lang['rh_additional_css'] 		= 'Estilo CSS adicional';
-
+$lang['rh_inactif_on_bg']		= 'inactivo para la imagen de fondo';
 ?>
Index: /extensions/Random_Header/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 4537)
+++ /extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 4538)
@@ -34,4 +34,4 @@
 $lang['rh_aide'] 				= 'Note :<br />LES IMAGES SONT VISIBLES POUR TOUS (catégorie privée ou pas)<br />Le style CSS pour l\'image (#RandomImage) n\'est pas appliqué en mode image de fond<br>Les champs CSS doivent respecter les normes CSS (ex: "overflow:auto;color:red;")<br />En mode image de fond, concatener la <a href="admin.php?page=configuration">bannière des pages</a> est inactif';
 $lang['rh_additional_css'] 		= 'Style CSS additionnel';
-
+$lang['rh_inactif_on_bg']		= 'inactif en image de fond';
 ?>
Index: /extensions/Random_Header/main.inc.php
===================================================================
--- /extensions/Random_Header/main.inc.php	(revision 4537)
+++ /extensions/Random_Header/main.inc.php	(revision 4538)
@@ -66,9 +66,9 @@
 							
 				if ($this->rh_config[$usertheme]['mode_background']=='on') {
-					$template->append('head_elements','<style>#theHeader{background: url('.$toto[0].') no-repeat;'. $this->rh_config[$usertheme]['head_css'] .'}</style>');
+					$template->append('head_elements','<style type="text/css">#theHeader{background: url('.$toto[0].') no-repeat;'. $this->rh_config[$usertheme]['head_css'] .'}</style>');
 				}
 				else {
 					if ($this->rh_config[$usertheme]['img_css']!='' || $this->rh_config[$usertheme]['head_css']!='') 
-						$template->append('head_elements','<style>#theHeader{'. $this->rh_config[$usertheme]['head_css'] .'}#theHeader #RandomImage{'. $this->rh_config[$usertheme]['img_css'] .'}</style>');
+						$template->append('head_elements','<style type="text/css">#theHeader{'. $this->rh_config[$usertheme]['head_css'] .'}#theHeader #RandomImage{'. $this->rh_config[$usertheme]['img_css'] .'}</style>');
 					$page['page_banner'] = ($this->rh_config[$usertheme]['concat_before']=='on') ? $conf['page_banner'] : ''; 
 					$page['page_banner'].= '<img id="RandomImage" src="'.$toto[0].'">';