Index: extensions/edit_gmaps/language/cz_CZ/lang.php
===================================================================
--- extensions/edit_gmaps/language/cz_CZ/lang.php	(revision 4546)
+++ extensions/edit_gmaps/language/cz_CZ/lang.php	(revision 4546)
@@ -0,0 +1,25 @@
+<?php
+$lang['Map']='Mapa';
+
+$lang['displays %s on a map']='zobrazí %s na mapě';
+$lang['opens %s in Google Earth']='otevře %s v aplikaci Google Earth (kterou musíte mít nainstalovánu v počítači)';
+
+$lang['Go to']='Jít na';
+
+$lang['go to %s']='jít na %s';
+$lang['displays all images on a map']='zobrazí všechny fotografie na mapě';
+$lang['Viewing']='Prohlížení';
+$lang['Link to this page']='Odkaz na tuto stránku';
+$lang['Show all']='Zobrazit vše';
+$lang['show all pictures around this location']='zobrazit fotografie v okolí';
+$lang['Search a location...']='Najít polohu...';
+
+$lang['Loading']='Nahrávání';
+$lang['Failed']='Nepodařilo se';
+
+$lang['Prev']='Předcházející';
+$lang['Next']='Další';
+$lang['out of %d']='z %d';
+
+$lang['More pictures near this location']='Více fotografií v okolí';
+?>
Index: extensions/edit_gmaps/language/en_UK/lang.php
===================================================================
--- extensions/edit_gmaps/language/en_UK/lang.php	(revision 4546)
+++ extensions/edit_gmaps/language/en_UK/lang.php	(revision 4546)
@@ -0,0 +1,25 @@
+<?php
+$lang['Map']='Map';
+
+$lang['displays %s on a map']='displays %s on a map';
+$lang['opens %s in Google Earth']='opens %s in Google Earth (must be installed on your machine)';
+
+$lang['Go to']='Go to';
+
+$lang['go to %s']='go to %s';
+$lang['displays all images on a map']='displays all images on a map';
+$lang['Viewing']='Viewing';
+$lang['Link to this page']='Link to this page';
+$lang['Show all']='Show all';
+$lang['show all pictures around this location']='show all pictures around this location';
+$lang['Search a location...']='Search a location...';
+
+$lang['Loading']='Loading';
+$lang['Failed']='Failed';
+
+$lang['Prev']='Prev';
+$lang['Next']='Next';
+$lang['out of %d']='out of %d';
+
+$lang['More pictures near this location']='More pictures near this location';
+?>
Index: extensions/edit_gmaps/language/fr_FR/lang.php
===================================================================
--- extensions/edit_gmaps/language/fr_FR/lang.php	(revision 4546)
+++ extensions/edit_gmaps/language/fr_FR/lang.php	(revision 4546)
@@ -0,0 +1,32 @@
+<?php
+global $lang;
+$lang['selection']="Sélection";
+$lang['reset'] ="Raz"  ;
+$lang['New_hlp'] .= "  Sélectionnez une ou plusieurs photos d'un même lieu.<br/> <br/> Ensuite dans le cadre map <br />Pour une localisation automatique, entrez le lieu de la prise de vue et cliquez sur le bouton "  . $lang['search_title']  ; 
+
+$lang['New_hlp2'] .= "<br />  Sinon cliquez sur le bouton "  . $lang['selection'] .' <br/>  <br/>Pour anuler la sélection cliquer sur ' . $lang['reset']  ; 
+
+$lang['Map']='Carte';
+
+$lang['displays %s on a map']='afficher %s sur la carte';
+$lang['opens %s in Google Earth']='Ouvre %s avec Google Earth (doit être installé sur votre PC)';
+
+$lang['Go to']='Aller à';
+
+$lang['go to %s']='aller à %s';
+$lang['displays all images on a map']='affiche toutes les images sur la carte';
+$lang['Viewing']='Aperçu';
+$lang['Link to this page']='Lien vers cette page';
+$lang['Show all']='Présente tout';
+$lang['show all pictures around this location']='Présente toutes les images à proximité de ces coordonnées';
+$lang['Search a location...']='Rechercher un lieu...';
+
+$lang['Loading']='Chargement';
+$lang['Failed']='Echec';
+
+$lang['Prev']='Préc';
+$lang['Next']='Suiv';
+$lang['out of %d']='sur %d';
+
+$lang['More pictures near this location']='Plus d\'images près de ce lieu';
+?>
Index: extensions/edit_gmaps/language/it_IT/lang.php
===================================================================
--- extensions/edit_gmaps/language/it_IT/lang.php	(revision 4546)
+++ extensions/edit_gmaps/language/it_IT/lang.php	(revision 4546)
@@ -0,0 +1,25 @@
+<?php
+$lang['Map']='Cartine';
+
+$lang['displays %s on a map']='visualizzare %s sulla cartina';
+$lang['opens %s in Google Earth']='Aprire %s con Google Earth (deve essere installato sul vostro PC)';
+
+$lang['Go to']='Andare a';
+
+$lang['go to %s']='andare a %s';
+$lang['displays all images on a map']='visualizzare tutte le immagini sulla cartina';
+$lang['Viewing']='Anteprima';
+$lang['Link to this page']='Link verso questa pagina';
+$lang['Show all']='Presenta tutto';
+$lang['show all pictures around this location']='Presenta tutte le immagini in prossimità di queste coordinate';
+$lang['Search a location...']='Cecare un luogo...';
+
+$lang['Loading']='Caricamento';
+$lang['Failed']='Insucesso';
+
+$lang['Prev']='Prec';
+$lang['Next']='Succ';
+$lang['out of %d']='su %d';
+
+$lang['More pictures near this location']='Più immagini vicino a questo luogo';
+?>
Index: extensions/edit_gmaps/language/pl_PL/lang.php
===================================================================
--- extensions/edit_gmaps/language/pl_PL/lang.php	(revision 4546)
+++ extensions/edit_gmaps/language/pl_PL/lang.php	(revision 4546)
@@ -0,0 +1,26 @@
+<?php
+//Polish translation by voyteckst
+$lang['Map']='Mapa';
+
+$lang['displays %s on a map']='wywietla %s na mapie';
+$lang['opens %s in Google Earth']='otwiera %s w Google Earth (aplikacjam musi byæ zainstalowana na komputerze)';
+
+$lang['Go to']='Przejd do';
+
+$lang['go to %s']='przejd do %s';
+$lang['displays all images on a map']='wywietla wszystkie obrazy na mapie';
+$lang['Viewing']='Przegl¹danie';
+$lang['Link to this page']='Link do tej strony';
+$lang['Show all']='Poka¿ wszystko';
+$lang['show all pictures around this location']='poka¿ wszystkie obrazy w pobli¿u tej lokalizacji';
+$lang['Search a location...']='Szukaj lokalizacji...';
+
+$lang['Loading']='Wczytywanie';
+$lang['Failed']='B³¹d';
+
+$lang['Prev']='Poprzednie';
+$lang['Next']='Nastepne';
+$lang['out of %d']='z %d';
+
+$lang['More pictures near this location']='Wiêcej brazów w pobliu tej lokalizacji';
+?>