Index: /extensions/NBC_UserAdvManager/branches/2.13/admin/UserAdvManager_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/admin/UserAdvManager_admin.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/admin/UserAdvManager_admin.php	(revision 4551)
@@ -576,15 +576,15 @@
       if (isset($conf_nbc_UserAdvManager[17]) and $conf_nbc_UserAdvManager[17]=='true' and $conf_nbc_UserAdvManager[18] <> '')
       {
-        if (round((($deltadays*100)/$conf_nbc_UserAdvManager[18]), 0) <= round(((50*$conf_nbc_UserAdvManager[18])/100), 0))
+        if ($deltadays <= ($conf_nbc_UserAdvManager[18]/2))
         {
           $display = 'green';
         }
         
-        if (round((($deltadays*100)/$conf_nbc_UserAdvManager[18]), 0) > round(((50*$conf_nbc_UserAdvManager[18])/100), 0) and round((($deltadays*100)/$conf_nbc_UserAdvManager[18]),0) < round(((100*$conf_nbc_UserAdvManager[18])/100),0))
+        if (($deltadays > ($conf_nbc_UserAdvManager[18]/2)) and ($deltadays < $conf_nbc_UserAdvManager[18]))
         {
           $display = 'orange';
         }
         
-        if (round((($deltadays*100)/$conf_nbc_UserAdvManager[18]), 0) >= round(((100*$conf_nbc_UserAdvManager[18])/100),0 ))
+        if ($deltadays >= $conf_nbc_UserAdvManager[18])
         {
           $display = 'red';
Index: /extensions/NBC_UserAdvManager/branches/2.13/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/changelog.txt.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/changelog.txt.php	(revision 4551)
@@ -117,4 +117,9 @@
 -- 2.13.2 : Bug 1308 fixed - Reminder emails have the good translated subject.
 
+-- 2.13.3 : Bug 1309 fixed - Forbidden characters in login name work fine again.
+            Bug 1340 fixed - Explanation improvement for option "Nickname is mandatory for comments" 
+            Bug 1342 fixed - Calculation between last visit and today is ok and displays the good color in user list.
+            Italian language improvement (thx to Rio)
+
 */
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/include/functions_UserAdvManager.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/include/functions_UserAdvManager.inc.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/include/functions_UserAdvManager.inc.php	(revision 4551)
@@ -695,5 +695,5 @@
   if (isset($login) and isset($conf_nbc_UserAdvManager[8]) and $conf_nbc_UserAdvManager[8] <> '')
   {
-    $conf_nbc_CharExclusion = preg_split("/[\s,]+/",$conf_nbc_UserAdvManager[8]);
+    $conf_nbc_CharExclusion = preg_split("/,/",$conf_nbc_UserAdvManager[8]);
     for ($i = 0 ; $i < count($conf_nbc_CharExclusion) ; $i++)
     {
@@ -1026,5 +1026,5 @@
   }
 
-  // Calcul du coefficient points/longueur - calculating the coefficient points / length
+  // Calcul du coefficient points/longueur - calculating the coefficient points/length
   $step1 = $points / $length;
 
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/de_DE/plugin.lang.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/de_DE/plugin.lang.php	(revision 4551)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Lassen Sie den Benutzer Groß-und Kleinschreibung. (Standard)';
 $lang['UserAdvManager_Username_Char'] = ' Limited Zeichen für den Benutzernamen';
-$lang['UserAdvManager_Username_Char_true'] = ' Die folgenden Zeichen werden für den Benutzernamen Wahl verboten werden';
 $lang['UserAdvManager_Username_Char_false'] = ' Verwenden Sie die Standard-Benutzernamen Zeichen Kontrolle. (Standard)';
 $lang['UserAdvManager_Confirm_Mail'] = 'E-Mail-Adresse Bestätigung:';
@@ -27,5 +26,4 @@
 $lang['UserAdvManager_No_Confirm_Status'] = 'Status zur Verwendung für die Benutzer die nicht validiert die E-Mail-Adresse.';
 $lang['UserAdvManager_Validated_Status'] = 'Status zur Verwendung für die Benutzer die ihre E-Mail-Adresse bestätigt haben. Lassen ------- für die Verwendung von Standard-Werte Piwigo';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Hobbys sind für Kommentare obligatorisch';
 $lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Der Autor Feld müssen ausgefüllt werden, um einen Kommentar zu schicken.';
 $lang['UserAdvManager_No_Comment_Anonymous_false'] = 'Verwenden Sie die Standard-Einstellungen auf Piwigo Kommentare senden. (Standard)';
@@ -244,3 +242,8 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Registrieren Validierung Einstellungen';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' Die folgenden Zeichen <b style="color: green;">(getrennte Werte durch Kommas ","!)</b> werden für den Benutzernamen Wahl verboten werden == ';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Aliases sind für Kommentare obligatorisch. <b style="color: red;">Aktivieren Sie diese Einstellung, wenn die Behörde nicht eingetragene Besucher gegeben um Kommentare zu schreiben (Admin-Panel Piwigo> Einstellungen> Allgemein, Registerkarte "Kommentare"> "Kommentare für alle erlaubt")</b>';
+// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/en_UK/plugin.lang.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/en_UK/plugin.lang.php	(revision 4551)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Let the user case sensitive. (default)';
 $lang['UserAdvManager_Username_Char'] = ' Limited charset for username';
-$lang['UserAdvManager_Username_Char_true'] = ' The following characters will be forbidden for username choice';
 $lang['UserAdvManager_Username_Char_false'] = ' Use the default username charset control. (default)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Email address confirmation:';
@@ -27,5 +26,4 @@
 $lang['UserAdvManager_No_Confirm_Status'] = 'Status to use for the users who haven\'t validated their email address.';
 $lang['UserAdvManager_Validated_Status'] = 'Status to use for the users who have validated their email address. Let ------- for using default Piwigo values';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname are mandatory for comments';
 $lang['UserAdvManager_No_Comment_Anonymous_true'] = ' The author field have to be filled to send a comment.';
 $lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Use the default Piwigo settings on comments sending. (default)';
@@ -244,3 +242,8 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Register validation settings';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' The following characters <b style="color: green;">(separate values with commas ","!)</b> will be forbidden for username choice == ';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname are mandatory for comments. <b style="color: red;">Enable this only if you have given permission for non-registered visitors to post comments (Piwigo\'s admin panel > Settings > General, Comments tab> "Comments for all")</b>';
+// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/es_ES/plugin.lang.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/es_ES/plugin.lang.php	(revision 4551)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Que el caso confidencial del usuario. (por defecto)';
 $lang['UserAdvManager_Username_Char'] = ' Carácter limitado previsto para nombre de usuario';
-$lang['UserAdvManager_Username_Char_true'] = ' Los siguientes caracteres serán prohibidos para la elección del nombre de usuario';
 $lang['UserAdvManager_Username_Char_false'] = ' Utilice el nombre de usuario por defecto fijado carácter de control. (por defecto)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Confirmación de correo electrónico:';
@@ -27,5 +26,4 @@
 $lang['UserAdvManager_No_Confirm_Status'] = 'Situación de utilizar para los usuarios que no han validado su dirección de correo electrónico.';
 $lang['UserAdvManager_Validated_Status'] = 'Situación de utilizar para los usuarios que han validado su dirección de correo electrónico. Vamos ------- para el uso de valores por defecto de Piwigo';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Alias son obligatorias para los comentarios';
 $lang['UserAdvManager_No_Comment_Anonymous_true'] = ' El campo de autor tienen que ser llenados para enviar un comentario.';
 $lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Utilice la configuración predeterminada Piwigo sobre los comentarios de envío. (por defecto)';
@@ -244,3 +242,9 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Configuración de validación de registro';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' Los siguientes caracteres <b style="color: green;">(valores separados con comas ","!)</b> serán prohibidos para la elección del nombre de usuario == ';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Alias son obligatorias para los comentarios. <b style="color: red;">No habilite esta a menos que haya dado permiso para no registrados, los visitantes a enviar comentarios (panel de administración Piwigo> Ajustes> General, ficha Comentarios> "Comentarios para Todos")</b>';
+// --------- End: New or revised $lang ---- from version 2.13.3
+
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/fr_FR/plugin.lang.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/fr_FR/plugin.lang.php	(revision 4551)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Laisser les utilisateur sensible à la casse. (valeur par défaut)';
 $lang['UserAdvManager_Username_Char'] = ' Caractères limités pour le nom d\'utilisateur';
-$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères saisis dans le champs ci-après pour le nom d\'utilisateur lors de l\'inscription == ';
 $lang['UserAdvManager_Username_Char_false'] = ' Laisser le contrôle par défaut du nom d\'utilisateur. (valeur par défaut)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Confirmation de l\'adresse email :';
@@ -27,5 +26,4 @@
 $lang['UserAdvManager_No_Confirm_Status'] = 'Status utilisateur à utiliser pour les utilisateurs qui n\'ont pas encore confirmé leur adresse email';
 $lang['UserAdvManager_Validated_Status'] = 'Status utilisateur à utiliser pour les utilisateurs qui ont validé leur adresse email, laissez ------- pour garder la valuer par défaut de PWG';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Pseudo obligatoire sur commentaire';
 $lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Le champs auteur doit être renseigné pour enregistrer un commentaire.';
 $lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Laisser le fonctionnement par défaut pour enregistrer un commentaire. (valeur par défaut)';
@@ -244,3 +242,8 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Configuration de la validation des inscriptions';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères saisis dans le champs ci-après <b style="color: green;">(séparez les valeurs par des virgules "," !)</b> pour le nom d\'utilisateur lors de l\'inscription == ';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Pseudo obligatoire sur commentaire pour les visiteurs. <b style="color: red;">N\'activez ceci que si vous avez donné l\'autoritation aux visiteurs non inscrits de poster des commentaires (Panneau d\'admin de Piwigo > Configuration > Générale, onglet Commentaires > "Commentaires pour tous")</b>';
+// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/description.txt
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/description.txt	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/description.txt	(revision 4551)
@@ -1,1 +1,1 @@
-Rafforza la possibilità di gestione degli utenti
+Aumenta le possibilità di gestione degli utenti
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/plugin.lang.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/plugin.lang.php	(revision 4551)
@@ -8,12 +8,11 @@
 /* Global Configuration Tab */
 $lang['Tab_Global'] = 'General Setup';
-$lang['UserAdvManager_Mail_Info'] = 'Informazioni di posta per l\'utente:';
-$lang['UserAdvManager_Mail_Info_true'] = ' Inviare una mail a l\'utente riprendendo le sue informazioni di connessione al momento della registrazione o aggiornare il proprio profilo.';
-$lang['UserAdvManager_Mail_Info_false'] = ' Disattiva l\'invio di mail. (default)';
-$lang['UserAdvManager_MailInfo_Text'] = ' Testo utilizzato per introdurre l\'e-mail inviata all\'utente per consentirgli di convalidare il suo indirizzo e-mail<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile SOLO se l\'utente le informazioni di posta elettronica è attivata. Utilizzare i tag multi lingua da plugin descrizione estesa, se questo plugin è attivato !!!)</b>';
+$lang['UserAdvManager_Mail_Info'] = 'Mail d\'informazione per l\'utente:';
+$lang['UserAdvManager_Mail_Info_true'] = ' Inviare una mail all\'utente riprendendo le sue informazioni di connessione al momento della registrazione o quelle dell\'ultimo aggiornamento del suo profilo.';
+$lang['UserAdvManager_Mail_Info_false'] = ' Disattiva l\'invio della mail. (valore di default)';
+$lang['UserAdvManager_MailInfo_Text'] = ' Testo utilizzato come introduzzione all\'e-mail inviata all\'utente per consentirgli di convalidare il suo indirizzo e-mail<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENZIONE !</b> <b style="color: red;">Modifica del testo è disponibile <b>SOLO</b> se l\'e-mail informazione destinata all\'utente è attivata. Utilizzare il metodo dei tag multi-lingua del plugin Extended Description se quest\'ultimo è attivo !!!)</b>';
 $lang['UserAdvManager_No_Casse'] = ' Caso il nome utente insensitive';
 $lang['UserAdvManager_No_Casse_false'] = ' Lasciare che il caso degli utenti sensibili. (default)';
 $lang['UserAdvManager_Username_Char'] = ' Limitate di caratteri per nome utente';
-$lang['UserAdvManager_Username_Char_true'] = ' I seguenti caratteri sarà proibito per la scelta username';
 $lang['UserAdvManager_Username_Char_false'] = ' Utilizzare il nome utente predefinito caratteri di controllo. (default)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Conferma indirizzo e-mail:';
@@ -27,5 +26,4 @@
 $lang['UserAdvManager_No_Confirm_Status'] = 'Di stato per l\'uso per gli utenti che non hanno convalidato il loro indirizzo email.';
 $lang['UserAdvManager_Validated_Status'] = 'Di stato per l\'uso per gli utenti che hanno convalidato il loro indirizzo email. Tenere ------- per l\'utilizzo di valori di default';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Alias sono obbligatori per i commenti';
 $lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Il campo autore devono essere riempiti per inviare un commento.';
 $lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Utilizzare le impostazioni predefinite sui commenti invio. (default)';
@@ -257,3 +255,8 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Registrati impostazioni di convalida';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' I seguenti caratteri <b style="color: green;">(valori separati con virgole ","!)</b> sarà proibito per la scelta username == ';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Alias sono obbligatori per i commenti. <b style="color: red;">Non attivare questo se non hai dato il permesso per non registrati ai visitatori di inviare commenti (pannello di amministrazione PhpWebGallery> Impostazioni> Generali, scheda Commenti> "Commenti per tutti")</b>';
+// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/main.inc.php	(revision 4550)
+++ /extensions/NBC_UserAdvManager/branches/2.13/main.inc.php	(revision 4551)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.13.2
+Version: 2.13.3
 Description: Renforcer les possibilités de gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216