Index: /extensions/pLoader/trunk/res/global_settings_wdr.pl
===================================================================
--- /extensions/pLoader/trunk/res/global_settings_wdr.pl	(revision 4570)
+++ /extensions/pLoader/trunk/res/global_settings_wdr.pl	(revision 4570)
@@ -0,0 +1,391 @@
+#-----------------------------------------------------------------------------
+# Perl source generated by wxDesigner from file: global_settings.wdr
+# Do not modify this file, all changes will be lost!
+#-----------------------------------------------------------------------------
+
+use Wx;
+use Wx::Calendar;
+use Wx::DateTime;
+use Wx::Grid;
+use strict;
+
+# Custom source
+use Wx qw/wxCP_DEFAULT_STYLE wxCP_NO_TLW_RESIZE/;
+
+use Wx qw( wxDefaultSize wxDefaultPosition wxNullAnimation wxNullFont wxBLACK );
+use Wx qw( wxID_OK wxID_APPLY wxID_SAVE wxID_SAVEAS wxID_CANCEL wxID_YES wxID_NO wxID_EXIT wxID_ABOUT wxID_HELP );
+use Wx qw( wxVERTICAL wxHORIZONTAL wxALL wxLEFT wxRIGHT wxTOP wxBOTTOM wxCENTRE wxGROW );
+use Wx qw( wxALIGN_RIGHT wxALIGN_BOTTOM wxALIGN_CENTER wxALIGN_CENTER_VERTICAL wxALIGN_CENTER_HORIZONTAL );
+use Wx qw( wxST_NO_AUTORESIZE wxLI_HORIZONTAL );
+
+# Bitmap functions
+
+use Wx qw( wxNullBitmap wxBITMAP_TYPE_PNG );
+
+# Window functions
+
+use vars qw($DEFAULT_PHOTO_CAPTION); $DEFAULT_PHOTO_CAPTION = 10000;
+use vars qw($GS_DEFAULT_PHOTO_CAPTION); $GS_DEFAULT_PHOTO_CAPTION = 10001;
+use vars qw($PHOTO_CAPTION_PREFIX); $PHOTO_CAPTION_PREFIX = 10002;
+use vars qw($GS_PHOTO_CAPTION_PREFIX); $GS_PHOTO_CAPTION_PREFIX = 10003;
+use vars qw($DEFAULT_AUTHOR); $DEFAULT_AUTHOR = 10004;
+use vars qw($GS_DEFAULT_AUTHOR); $GS_DEFAULT_AUTHOR = 10005;
+use vars qw($GS_AUTO_ROTATE); $GS_AUTO_ROTATE = 10006;
+use vars qw($GS_CREATE_RESIZED); $GS_CREATE_RESIZED = 10007;
+use vars qw($CPANE_RESIZE); $CPANE_RESIZE = 10008;
+use vars qw($SITE_IMG_WIDTH); $SITE_IMG_WIDTH = 10009;
+use vars qw($GS_SITE_IMG_WIDTH); $GS_SITE_IMG_WIDTH = 10010;
+use vars qw($SITE_IMG_HEIGHT); $SITE_IMG_HEIGHT = 10011;
+use vars qw($GS_SITE_IMG_HEIGHT); $GS_SITE_IMG_HEIGHT = 10012;
+use vars qw($SITE_IMG_JPEG_QUALITY); $SITE_IMG_JPEG_QUALITY = 10013;
+use vars qw($GS_SITE_IMG_JPEG_QUALITY); $GS_SITE_IMG_JPEG_QUALITY = 10014;
+use vars qw($CPANE_RESIZE_ADVANCED); $CPANE_RESIZE_ADVANCED = 10015;
+use vars qw($SITE_IMG_FILTER); $SITE_IMG_FILTER = 10016;
+use vars qw($GS_SITE_IMG_FILTER); $GS_SITE_IMG_FILTER = 10017;
+use vars qw($SITE_IMG_BLUR); $SITE_IMG_BLUR = 10018;
+use vars qw($GS_SITE_IMG_BLUR); $GS_SITE_IMG_BLUR = 10019;
+use vars qw($SITE_IMG_INTERLACE); $SITE_IMG_INTERLACE = 10020;
+use vars qw($GS_SITE_IMG_INTERLACE); $GS_SITE_IMG_INTERLACE = 10021;
+use vars qw($GS_HD_UPLOAD); $GS_HD_UPLOAD = 10022;
+use vars qw($CPANE_HD); $CPANE_HD = 10023;
+use vars qw($HD_IMG_WIDTH); $HD_IMG_WIDTH = 10024;
+use vars qw($GS_HD_IMG_WIDTH); $GS_HD_IMG_WIDTH = 10025;
+use vars qw($HD_IMG_HEIGHT); $HD_IMG_HEIGHT = 10026;
+use vars qw($GS_HD_IMG_HEIGHT); $GS_HD_IMG_HEIGHT = 10027;
+use vars qw($HD_IMG_JPEG_QUALITY); $HD_IMG_JPEG_QUALITY = 10028;
+use vars qw($GS_HD_IMG_JPEG_QUALITY); $GS_HD_IMG_JPEG_QUALITY = 10029;
+use vars qw($CPANE_HD_ADVANCED); $CPANE_HD_ADVANCED = 10030;
+use vars qw($HD_IMG_FILTER); $HD_IMG_FILTER = 10031;
+use vars qw($GS_HD_IMG_FILTER); $GS_HD_IMG_FILTER = 10032;
+use vars qw($HD_IMG_BLUR); $HD_IMG_BLUR = 10033;
+use vars qw($GS_HD_IMG_BLUR); $GS_HD_IMG_BLUR = 10034;
+use vars qw($HD_IMG_INTERLACE); $HD_IMG_INTERLACE = 10035;
+use vars qw($GS_HD_IMG_INTERLACE); $GS_HD_IMG_INTERLACE = 10036;
+use vars qw($GS_WMARK_ACTIVATE); $GS_WMARK_ACTIVATE = 10037;
+use vars qw($GS_WMARK_ACTIVATE_HD); $GS_WMARK_ACTIVATE_HD = 10038;
+use vars qw($CPANE_WATERMARK); $CPANE_WATERMARK = 10039;
+use vars qw($WMARK_TEXT); $WMARK_TEXT = 10040;
+use vars qw($GS_WMARK_TEXT); $GS_WMARK_TEXT = 10041;
+use vars qw($WMARK_TEXT_SIZE); $WMARK_TEXT_SIZE = 10042;
+use vars qw($GS_WMARK_TEXT_SIZE); $GS_WMARK_TEXT_SIZE = 10043;
+use vars qw($WMARK_COLOR); $WMARK_COLOR = 10044;
+use vars qw($GS_WMARK_COLOR); $GS_WMARK_COLOR = 10045;
+use vars qw($WMARK_POSITION); $WMARK_POSITION = 10046;
+use vars qw($GS_WMARK_POSITION); $GS_WMARK_POSITION = 10047;
+use vars qw($WMARK_MARGIN_TOP); $WMARK_MARGIN_TOP = 10048;
+use vars qw($GS_WMARK_MARGIN_TOP); $GS_WMARK_MARGIN_TOP = 10049;
+use vars qw($WMARK_MARGIN_LEFT); $WMARK_MARGIN_LEFT = 10050;
+use vars qw($GS_WMARK_MARGIN_LEFT); $GS_WMARK_MARGIN_LEFT = 10051;
+use vars qw($GS_REMOVE_UPLOADED_FROM_SELECTION); $GS_REMOVE_UPLOADED_FROM_SELECTION = 10052;
+use vars qw($CPANE_TRANSFERT_ADVANCED); $CPANE_TRANSFERT_ADVANCED = 10053;
+use vars qw($CHUNK_SIZE); $CHUNK_SIZE = 10054;
+use vars qw($GS_CHUNK_SIZE); $GS_CHUNK_SIZE = 10055;
+use vars qw($ID_LINE); $ID_LINE = 10056;
+use vars qw($GS_CLOSE); $GS_CLOSE = 10057;
+
+sub GlobalSettings {
+    my( $parent ) = $_[0];
+    my( $item0 ) = Wx::BoxSizer->new( wxVERTICAL );
+    
+    my( $item2 ) = Wx::StaticBox->new( $parent, -1, "Text" );
+    my( $item1 ) = Wx::StaticBoxSizer->new( $item2, wxVERTICAL );
+    $parent->{sb_photo_properties} = $item1;
+    
+    my( $item3 ) = Wx::FlexGridSizer->new( 0, 2, 0, 0 );
+    
+    my( $item4 ) = Wx::BoxSizer->new( wxVERTICAL );
+    
+    my( $item5 ) = Wx::StaticText->new( $parent, $main::DEFAULT_PHOTO_CAPTION, "text", wxDefaultPosition, wxDefaultSize, wxST_NO_AUTORESIZE );
+    $item4->AddWindow( $item5, 0, wxALIGN_CENTER_VERTICAL|wxLEFT|wxRIGHT|wxTOP, 5 );
+
+    my( $item6 ) = Wx::Choice->new( $parent, $main::GS_DEFAULT_PHOTO_CAPTION, wxDefaultPosition, [190,-1], [], 0 );
+    $item4->AddWindow( $item6, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    $item3->Add( $item4, 0, 0, 5 );
+
+    my( $item7 ) = Wx::BoxSizer->new( wxVERTICAL );
+    
+    my( $item8 ) = Wx::StaticText->new( $parent, $main::PHOTO_CAPTION_PREFIX, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item7->AddWindow( $item8, 0, wxALIGN_CENTER_VERTICAL|wxLEFT|wxRIGHT|wxTOP, 5 );
+
+    my( $item9 ) = Wx::TextCtrl->new( $parent, $main::GS_PHOTO_CAPTION_PREFIX, "", wxDefaultPosition, [100,-1], 0 );
+    $item7->AddWindow( $item9, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    $item3->Add( $item7, 0, 0, 5 );
+
+    my( $item10 ) = Wx::BoxSizer->new( wxVERTICAL );
+    
+    my( $item11 ) = Wx::StaticText->new( $parent, $main::DEFAULT_AUTHOR, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item10->AddWindow( $item11, 0, wxALIGN_CENTER_VERTICAL|wxLEFT|wxRIGHT|wxTOP, 5 );
+
+    my( $item12 ) = Wx::TextCtrl->new( $parent, $main::GS_DEFAULT_AUTHOR, "", wxDefaultPosition, [190,-1], 0 );
+    $item10->AddWindow( $item12, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    $item3->Add( $item10, 0, 0, 5 );
+
+    my( $item13 ) = Wx::CheckBox->new( $parent, $main::GS_AUTO_ROTATE, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item3->AddWindow( $item13, 0, wxALIGN_BOTTOM|wxALL, 5 );
+
+    $item1->Add( $item3, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    $item0->Add( $item1, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item15 ) = Wx::StaticBox->new( $parent, -1, "text" );
+    my( $item14 ) = Wx::StaticBoxSizer->new( $item15, wxVERTICAL );
+    $parent->{sb_web_sized_photo} = $item14;
+    
+    my( $item16 ) = Wx::BoxSizer->new( wxHORIZONTAL );
+    
+    my( $item17 ) = Wx::Choice->new( $parent, $main::GS_CREATE_RESIZED, wxDefaultPosition, [250,-1], [], 0 );
+    $item16->AddWindow( $item17, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5 );
+
+    my( $item18 ) = Wx::CollapsiblePane->new( $parent, $main::CPANE_RESIZE, "", wxDefaultPosition, [10,10], 0|wxCP_DEFAULT_STYLE );
+    my( $oldparent ) = $parent;
+    $parent = $item18->GetPane();
+    
+    my( $item19 ) = Wx::FlexGridSizer->new( 0, 2, 0, 0 );
+    
+    my( $item20 ) = Wx::StaticText->new( $parent, $main::SITE_IMG_WIDTH, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item19->AddWindow( $item20, 0, wxALL, 5 );
+
+    my( $item21 ) = Wx::TextCtrl->new( $parent, $main::GS_SITE_IMG_WIDTH, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item19->AddWindow( $item21, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item22 ) = Wx::StaticText->new( $parent, $main::SITE_IMG_HEIGHT, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item19->AddWindow( $item22, 0, wxALL, 5 );
+
+    my( $item23 ) = Wx::TextCtrl->new( $parent, $main::GS_SITE_IMG_HEIGHT, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item19->AddWindow( $item23, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item24 ) = Wx::StaticText->new( $parent, $main::SITE_IMG_JPEG_QUALITY, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item19->AddWindow( $item24, 0, wxALL, 5 );
+
+    my( $item25 ) = Wx::TextCtrl->new( $parent, $main::GS_SITE_IMG_JPEG_QUALITY, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item19->AddWindow( $item25, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    $parent->SetSizer( $item19 );
+    $parent = $oldparent;
+    
+    $item16->AddWindow( $item18, 0, 0, 5 );
+
+    my( $item26 ) = Wx::CollapsiblePane->new( $parent, $main::CPANE_RESIZE_ADVANCED, "", wxDefaultPosition, [10,10], 0|wxCP_DEFAULT_STYLE );
+    my( $oldparent ) = $parent;
+    $parent = $item26->GetPane();
+    
+    my( $item27 ) = Wx::FlexGridSizer->new( 0, 2, 0, 0 );
+    
+    my( $item28 ) = Wx::StaticText->new( $parent, $main::SITE_IMG_FILTER, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item27->AddWindow( $item28, 0, wxALL, 5 );
+
+    my( $item29 ) = Wx::Choice->new( $parent, $main::GS_SITE_IMG_FILTER, wxDefaultPosition, [100,-1], [], 0 );
+    $item27->AddWindow( $item29, 0, wxALIGN_CENTER|wxALL, 5 );
+
+    my( $item30 ) = Wx::StaticText->new( $parent, $main::SITE_IMG_BLUR, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item27->AddWindow( $item30, 0, wxALL, 5 );
+
+    my( $item31 ) = Wx::TextCtrl->new( $parent, $main::GS_SITE_IMG_BLUR, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item27->AddWindow( $item31, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item32 ) = Wx::StaticText->new( $parent, $main::SITE_IMG_INTERLACE, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item27->AddWindow( $item32, 0, wxALL, 5 );
+
+    my( $item33 ) = Wx::Choice->new( $parent, $main::GS_SITE_IMG_INTERLACE, wxDefaultPosition, [100,-1], [], 0 );
+    $item27->AddWindow( $item33, 0, wxALIGN_CENTER|wxALL, 5 );
+
+    $parent->SetSizer( $item27 );
+    $parent = $oldparent;
+    
+    $item16->AddWindow( $item26, 0, 0, 5 );
+
+    $item14->Add( $item16, 0, wxALIGN_CENTER_VERTICAL, 5 );
+
+    $item0->Add( $item14, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item35 ) = Wx::StaticBox->new( $parent, -1, "text" );
+    my( $item34 ) = Wx::StaticBoxSizer->new( $item35, wxHORIZONTAL );
+    $parent->{sb_high_definition_photo} = $item34;
+    
+    my( $item36 ) = Wx::Choice->new( $parent, $main::GS_HD_UPLOAD, wxDefaultPosition, [250,-1], [], 0 );
+    $item34->AddWindow( $item36, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5 );
+
+    my( $item37 ) = Wx::CollapsiblePane->new( $parent, $main::CPANE_HD, "", wxDefaultPosition, [10,10], 0|wxCP_DEFAULT_STYLE );
+    my( $oldparent ) = $parent;
+    $parent = $item37->GetPane();
+    
+    my( $item38 ) = Wx::FlexGridSizer->new( 0, 2, 0, 0 );
+    
+    my( $item39 ) = Wx::StaticText->new( $parent, $main::HD_IMG_WIDTH, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item38->AddWindow( $item39, 0, wxALL, 5 );
+
+    my( $item40 ) = Wx::TextCtrl->new( $parent, $main::GS_HD_IMG_WIDTH, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item38->AddWindow( $item40, 0, wxALIGN_CENTER|wxALL, 5 );
+
+    my( $item41 ) = Wx::StaticText->new( $parent, $main::HD_IMG_HEIGHT, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item38->AddWindow( $item41, 0, wxALL, 5 );
+
+    my( $item42 ) = Wx::TextCtrl->new( $parent, $main::GS_HD_IMG_HEIGHT, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item38->AddWindow( $item42, 0, wxALIGN_CENTER|wxALL, 5 );
+
+    my( $item43 ) = Wx::StaticText->new( $parent, $main::HD_IMG_JPEG_QUALITY, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item38->AddWindow( $item43, 0, wxALL, 5 );
+
+    my( $item44 ) = Wx::TextCtrl->new( $parent, $main::GS_HD_IMG_JPEG_QUALITY, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item38->AddWindow( $item44, 0, wxALIGN_CENTER|wxALL, 5 );
+
+    $parent->SetSizer( $item38 );
+    $parent = $oldparent;
+    
+    $item34->AddWindow( $item37, 0, 0, 5 );
+
+    my( $item45 ) = Wx::CollapsiblePane->new( $parent, $main::CPANE_HD_ADVANCED, "", wxDefaultPosition, [10,10], 0|wxCP_DEFAULT_STYLE );
+    my( $oldparent ) = $parent;
+    $parent = $item45->GetPane();
+    
+    my( $item46 ) = Wx::FlexGridSizer->new( 0, 2, 0, 0 );
+    
+    my( $item47 ) = Wx::StaticText->new( $parent, $main::HD_IMG_FILTER, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item46->AddWindow( $item47, 0, wxALL, 5 );
+
+    my( $item48 ) = Wx::Choice->new( $parent, $main::GS_HD_IMG_FILTER, wxDefaultPosition, [100,-1], [], 0 );
+    $item46->AddWindow( $item48, 0, wxALL, 5 );
+
+    my( $item49 ) = Wx::StaticText->new( $parent, $main::HD_IMG_BLUR, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item46->AddWindow( $item49, 0, wxALL, 5 );
+
+    my( $item50 ) = Wx::TextCtrl->new( $parent, $main::GS_HD_IMG_BLUR, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item46->AddWindow( $item50, 0, wxALL, 5 );
+
+    my( $item51 ) = Wx::StaticText->new( $parent, $main::HD_IMG_INTERLACE, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item46->AddWindow( $item51, 0, wxALL, 5 );
+
+    my( $item52 ) = Wx::Choice->new( $parent, $main::GS_HD_IMG_INTERLACE, wxDefaultPosition, [100,-1], [], 0 );
+    $item46->AddWindow( $item52, 0, wxALL, 5 );
+
+    $parent->SetSizer( $item46 );
+    $parent = $oldparent;
+    
+    $item34->AddWindow( $item45, 0, 0, 5 );
+
+    $item0->Add( $item34, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item54 ) = Wx::StaticBox->new( $parent, -1, "text" );
+    my( $item53 ) = Wx::StaticBoxSizer->new( $item54, wxHORIZONTAL );
+    $parent->{sb_watermark} = $item53;
+    
+    my( $item55 ) = Wx::BoxSizer->new( wxVERTICAL );
+    
+    my( $item56 ) = Wx::CheckBox->new( $parent, $main::GS_WMARK_ACTIVATE, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item55->AddWindow( $item56, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item57 ) = Wx::CheckBox->new( $parent, $main::GS_WMARK_ACTIVATE_HD, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item55->AddWindow( $item57, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    $item53->Add( $item55, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5 );
+
+    my( $item58 ) = Wx::CollapsiblePane->new( $parent, $main::CPANE_WATERMARK, "", wxDefaultPosition, [10,10], 0|wxCP_DEFAULT_STYLE );
+    my( $oldparent ) = $parent;
+    $parent = $item58->GetPane();
+    
+    my( $item59 ) = Wx::FlexGridSizer->new( 0, 2, 0, 0 );
+    
+    my( $item60 ) = Wx::StaticText->new( $parent, $main::WMARK_TEXT, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item59->AddWindow( $item60, 0, wxALL, 5 );
+
+    my( $item61 ) = Wx::TextCtrl->new( $parent, $main::GS_WMARK_TEXT, "", wxDefaultPosition, [200,-1], 0 );
+    $item59->AddWindow( $item61, 0, wxALL, 5 );
+
+    my( $item62 ) = Wx::StaticText->new( $parent, $main::WMARK_TEXT_SIZE, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item59->AddWindow( $item62, 0, wxALL, 5 );
+
+    my( $item63 ) = Wx::SpinCtrl->new( $parent, $main::GS_WMARK_TEXT_SIZE, "0", wxDefaultPosition, [50,-1], 0, 0, 100, 0 );
+    $item59->AddWindow( $item63, 0, wxALL, 5 );
+
+    my( $item64 ) = Wx::StaticText->new( $parent, $main::WMARK_COLOR, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item59->AddWindow( $item64, 0, wxALL, 5 );
+
+    my( $item65 ) = Wx::Choice->new( $parent, $main::GS_WMARK_COLOR, wxDefaultPosition, [100,-1], [], 0 );
+    $item59->AddWindow( $item65, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item66 ) = Wx::StaticText->new( $parent, $main::WMARK_POSITION, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item59->AddWindow( $item66, 0, wxALL, 5 );
+
+    my( $item67 ) = Wx::Choice->new( $parent, $main::GS_WMARK_POSITION, wxDefaultPosition, [100,-1], [], 0 );
+    $item59->AddWindow( $item67, 0, wxALL, 5 );
+
+    my( $item68 ) = Wx::StaticText->new( $parent, $main::WMARK_MARGIN_TOP, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item59->AddWindow( $item68, 0, wxALL, 5 );
+
+    my( $item69 ) = Wx::SpinCtrl->new( $parent, $main::GS_WMARK_MARGIN_TOP, "0", wxDefaultPosition, [100,-1], 0, 0, 100, 0 );
+    $item59->AddWindow( $item69, 0, wxALL, 5 );
+
+    my( $item70 ) = Wx::StaticText->new( $parent, $main::WMARK_MARGIN_LEFT, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item59->AddWindow( $item70, 0, wxALL, 5 );
+
+    my( $item71 ) = Wx::SpinCtrl->new( $parent, $main::GS_WMARK_MARGIN_LEFT, "0", wxDefaultPosition, [100,-1], 0, 0, 100, 0 );
+    $item59->AddWindow( $item71, 0, wxALL, 5 );
+
+    $parent->SetSizer( $item59 );
+    $parent = $oldparent;
+    
+    $item53->AddWindow( $item58, 0, 0, 5 );
+
+    $item0->Add( $item53, 0, wxALIGN_CENTER_VERTICAL, 5 );
+
+    my( $item73 ) = Wx::StaticBox->new( $parent, -1, "Text" );
+    my( $item72 ) = Wx::StaticBoxSizer->new( $item73, wxHORIZONTAL );
+    $parent->{sb_transfert} = $item72;
+    
+    my( $item74 ) = Wx::CheckBox->new( $parent, $main::GS_REMOVE_UPLOADED_FROM_SELECTION, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item72->AddWindow( $item74, 0, wxALIGN_CENTER|wxALL, 5 );
+
+    my( $item75 ) = Wx::CollapsiblePane->new( $parent, $main::CPANE_TRANSFERT_ADVANCED, "", wxDefaultPosition, [10,10], 0|wxCP_DEFAULT_STYLE );
+    my( $oldparent ) = $parent;
+    $parent = $item75->GetPane();
+    
+    my( $item76 ) = Wx::FlexGridSizer->new( 0, 2, 0, 0 );
+    
+    my( $item77 ) = Wx::StaticText->new( $parent, $main::CHUNK_SIZE, "text", wxDefaultPosition, wxDefaultSize, 0 );
+    $item76->AddWindow( $item77, 0, wxALL, 5 );
+
+    my( $item78 ) = Wx::TextCtrl->new( $parent, $main::GS_CHUNK_SIZE, "", wxDefaultPosition, wxDefaultSize, 0 );
+    $item76->AddWindow( $item78, 0, wxALL, 5 );
+
+    $parent->SetSizer( $item76 );
+    $parent = $oldparent;
+    
+    $item72->AddWindow( $item75, 0, wxALL, 5 );
+
+    $item0->Add( $item72, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item79 ) = Wx::StaticLine->new( $parent, $main::ID_LINE, wxDefaultPosition, [20,-1], wxLI_HORIZONTAL );
+    $item0->AddWindow( $item79, 0, wxGROW|wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $item80 ) = Wx::BoxSizer->new( wxVERTICAL );
+    
+    my( $item81 ) = Wx::Button->new( $parent, $main::GS_CLOSE, "OK", wxDefaultPosition, wxDefaultSize, 0 );
+    $item80->AddWindow( $item81, 0, wxALIGN_BOTTOM|wxALIGN_CENTER_HORIZONTAL, 5 );
+
+    $item0->Add( $item80, 0, wxGROW|wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+    my( $set_size ) = @_ >= 3 ? $_[2] : 1;
+    my( $call_fit ) = @_ >= 2 ? $_[1] : 1;
+    if( $set_size == 1 ) {
+         $_[0]->SetSizer( $item0 );
+         
+         if( $call_fit == 1 ) {
+             $item0->SetSizeHints( $_[0] );
+         }
+    }
+    
+    $item0;
+}
+
+# Menu bar functions
+
+
+# Toolbar functions
+
+use Wx qw( wxITEM_NORMAL wxITEM_RADIO wxITEM_CHECK );
+
+
+# End of generated file